Bug 239036 - deskutils/anydesk fix distinfo for version 5.1.0 - i386
Summary: deskutils/anydesk fix distinfo for version 5.1.0 - i386
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-07 19:09 UTC by Martin Filla
Modified: 2019-07-15 17:48 UTC (History)
0 users

See Also:


Attachments
any (1.20 KB, patch)
2019-07-07 19:09 UTC, Martin Filla
no flags Details | Diff
anydesk.patch (560 bytes, patch)
2019-07-07 19:14 UTC, Martin Filla
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Filla 2019-07-07 19:09:39 UTC
Created attachment 205570 [details]
any

Hello, 
this is only fix for version i386
thank you M.
Comment 1 Martin Filla 2019-07-07 19:14:57 UTC
Created attachment 205571 [details]
anydesk.patch
Comment 2 Martin Filla 2019-07-09 19:47:49 UTC
ping
Comment 3 Martin Filla 2019-07-14 10:30:58 UTC
This is patch for this problem: 

=>> Building deskutils/anydesk
build started at Sun Jul 14 01:42:38 UTC 2019
port directory: /usr/ports/deskutils/anydesk
package name: anydesk-5.1.0
building for: FreeBSD 120i386-default-job-16 12.0-RELEASE-p7 FreeBSD 12.0-RELEASE-p7 i386
maintained by: freebsd@sysctl.cz
Makefile ident:      $FreeBSD: head/deskutils/anydesk/Makefile 506012 2019-07-06 17:55:11Z swills $
Poudriere version: 3.2.8-5-gc81843e5
Host OSVERSION: 1300031
Jail OSVERSION: 1200086
Job Id: 16

---Begin Environment---
SHELL=/bin/csh
UNAME_p=i386
UNAME_m=i386
OSVERSION=1200086
UNAME_v=FreeBSD 12.0-RELEASE-p7
UNAME_r=12.0-RELEASE-p7
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
HOME=/root
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
LOCALBASE=/usr/local
USER=root
LIBEXECPREFIX=/usr/local/libexec/poudriere
POUDRIERE_VERSION=3.2.8-5-gc81843e5
MASTERMNT=/usr/local/poudriere/data/.m/120i386-default/ref
POUDRIERE_BUILD_TYPE=bulk
PACKAGE_BUILDING=yes
SAVED_TERM=
PWD=/usr/local/poudriere/data/.m/120i386-default/ref/.p/pool
P_PORTS_FEATURES=FLAVORS SELECTED_OPTIONS
MASTERNAME=120i386-default
SCRIPTPREFIX=/usr/local/share/poudriere
OLDPWD=/usr/local/poudriere/data/.m/120i386-default/ref/.p
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
POUDRIEREPATH=/usr/local/bin/poudriere
---End Environment---

---Begin Poudriere Port Flags/Env---
PORT_FLAGS=
PKGENV=
FLAVOR=
DEPENDS_ARGS=
MAKE_ARGS=
---End Poudriere Port Flags/Env---

---Begin OPTIONS List---
---End OPTIONS List---

--MAINTAINER--
freebsd@sysctl.cz
--End MAINTAINER--

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/deskutils/anydesk/work  XDG_CONFIG_HOME=/wrkdirs/usr/ports/deskutils/anydesk/work  HOME=/wrkdirs/usr/ports/deskutils/anydesk/work TMPDIR="/tmp" PATH=/wrkdirs/usr/ports/deskutils/anydesk/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin SHELL=/bin/sh CONFIG_SHELL=/bin/sh LANG=en_US.UTF-8 LC_ALL=en_US.UTF-8
--End CONFIGURE_ENV--

--MAKE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/deskutils/anydesk/work  XDG_CONFIG_HOME=/wrkdirs/usr/ports/deskutils/anydesk/work  HOME=/wrkdirs/usr/ports/deskutils/anydesk/work TMPDIR="/tmp" PATH=/wrkdirs/usr/ports/deskutils/anydesk/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin NO_PIE=yes MK_DEBUG_FILES=no MK_KERNEL_SYMBOLS=no SHELL=/bin/sh NO_LINT=YES LANG=en_US.UTF-8 LC_ALL=en_US.UTF-8 PREFIX=/usr/local  LOCALBASE=/usr/local  CC="cc" CFLAGS="-O2 -pipe  -fstack-protector-strong -fno-strict-aliasing "  CPP="cpp" CPPFLAGS=""  LDFLAGS=" -fstack-protector-strong " LIBS=""  CXX="c++" CXXFLAGS="-O2 -pipe -fstack-protector-strong -fno-strict-aliasing  "  MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s -m 555"  BSD_INSTALL_LIB="install  -s -m 0644"  BSD_INSTALL_SCRIPT="install  -m 555"  BSD_INSTALL_DATA="install  -m 0644"  BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
GTK2_VERSION="2.10.0"  GTK3_VERSION="3.0.0" OSREL=12.0 PREFIX=%D LOCALBASE=/usr/local  RESETPREFIX=/usr/local LIB32DIR=lib DOCSDIR="share/doc/anydesk"  EXAMPLESDIR="share/examples/anydesk"  DATADIR="share/anydesk"  WWWDIR="www/anydesk"  ETCDIR="etc/anydesk"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local LOCALBASE=/usr/local  DATADIR=/usr/local/share/anydesk DOCSDIR=/usr/local/share/doc/anydesk EXAMPLESDIR=/usr/local/share/examples/anydesk  WWWDIR=/usr/local/www/anydesk ETCDIR=/usr/local/etc/anydesk
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
PACKAGE_BUILDING=yes
PACKAGE_BUILDING_FLAVORS=yes
MACHINE=i386
MACHINE_ARCH=i386
ARCH=${MACHINE_ARCH}
#### /usr/local/etc/poudriere.d/make.conf ####
# XXX: We really need this but cannot use it while 'make checksum' does not
# try the next mirror on checksum failure.  It currently retries the same
# failed mirror and then fails rather then trying another.  It *does*
# try the next if the size is mismatched though.
#MASTER_SITE_FREEBSD=yes
# Build ALLOW_MAKE_JOBS_PACKAGES with 2 jobs
MAKE_JOBS_NUMBER=2

# stable/10 includes src.conf too late but make.conf is in sys.mk
.if ${.CURDIR:M/poudriere/jails/10*/usr/src/usr.bin/xlint*}
# Disable build of llib now that head no longer has lint(1)
LINT=    true
.endif
#### /usr/ports/Mk/Scripts/ports_env.sh ####
_CCVERSION_921dbbb2=FreeBSD clang version 6.0.1 (tags/RELEASE_601/final 335540) (based on LLVM 6.0.1) Target: i386-unknown-freebsd12.0 Thread model: posix InstalledDir: /usr/bin
_ALTCCVERSION_921dbbb2=none
_CXXINTERNAL_acaad9ca=FreeBSD clang version 6.0.1 (tags/RELEASE_601/final 335540) (based on LLVM 6.0.1) Target: i386-unknown-freebsd12.0 Thread model: posix InstalledDir: /usr/bin "/usr/bin/ld" "--eh-frame-hdr" "-dynamic-linker" "/libexec/ld-elf.so.1" "--hash-style=both" "--enable-new-dtags" "-m" "elf_i386_fbsd" "-o" "a.out" "/usr/lib/crt1.o" "/usr/lib/crti.o" "/usr/lib/crtbegin.o" "-L/usr/lib" "/dev/null" "-lc++" "-lm" "-lgcc" "--as-needed" "-lgcc_s" "--no-as-needed" "-lc" "-lgcc" "--as-needed" "-lgcc_s" "--no-as-needed" "/usr/lib/crtend.o" "/usr/lib/crtn.o"
CC_OUTPUT_921dbbb2_58173849=yes
CC_OUTPUT_921dbbb2_9bdba57c=yes
CC_OUTPUT_921dbbb2_6a4fe7f5=yes
CC_OUTPUT_921dbbb2_6bcac02b=yes
CC_OUTPUT_921dbbb2_67d20829=yes
CC_OUTPUT_921dbbb2_bfa62e83=yes
CC_OUTPUT_921dbbb2_f0b4d593=yes
CC_OUTPUT_921dbbb2_308abb44=yes
CC_OUTPUT_921dbbb2_f00456e5=yes
CC_OUTPUT_921dbbb2_65ad290d=yes
CC_OUTPUT_921dbbb2_f2776b26=yes
CC_OUTPUT_921dbbb2_b2657cc3=yes
CC_OUTPUT_921dbbb2_380987f7=yes
CC_OUTPUT_921dbbb2_160933ec=yes
CC_OUTPUT_921dbbb2_fb62803b=yes
_OBJC_CCVERSION_921dbbb2=FreeBSD clang version 6.0.1 (tags/RELEASE_601/final 335540) (based on LLVM 6.0.1) Target: i386-unknown-freebsd12.0 Thread model: posix InstalledDir: /usr/bin
_OBJC_ALTCCVERSION_921dbbb2=none
ARCH=i386
OPSYS=FreeBSD
_OSRELEASE=12.0-RELEASE-p7
OSREL=12.0
OSVERSION=1200086
PYTHONBASE=/usr/local
CONFIGURE_MAX_CMD_LEN=262144
HAVE_PORTS_ENV=1
#### Misc Poudriere ####
GID=0
UID=0
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
--Resource limits--
cpu time               (seconds, -t)  unlimited
file size           (512-blocks, -f)  unlimited
data seg size           (kbytes, -d)  524288
stack size              (kbytes, -s)  65536
core file size      (512-blocks, -c)  unlimited
max memory size         (kbytes, -m)  unlimited
locked memory           (kbytes, -l)  unlimited
max user processes              (-u)  89999
open files                      (-n)  1024
virtual mem size        (kbytes, -v)  unlimited
swap limit              (kbytes, -w)  unlimited
socket buffer size       (bytes, -b)  unlimited
pseudo-terminals                (-p)  unlimited
kqueues                         (-k)  unlimited
umtx shared locks               (-o)  unlimited
--End resource limits--
=======================<phase: check-sanity   >============================
===>  License commercial accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   anydesk-5.1.0 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.11.1.txz
[120i386-default-job-16] Installing pkg-1.11.1...
[120i386-default-job-16] Extracting pkg-1.11.1: .......... done
===>   anydesk-5.1.0 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of anydesk-5.1.0
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License commercial accepted by the user
=> anydesk-freebsd-5.1.0-i386.tar.gz is not in /usr/ports/deskutils/anydesk/distinfo.
=> Either /usr/ports/deskutils/anydesk/distinfo is out of date, or
=> anydesk-freebsd-5.1.0-i386.tar.gz is spelled incorrectly.
*** Error code 1

Stop.
make: stopped in /usr/ports/deskutils/anydesk
Comment 4 commit-hook freebsd_committer 2019-07-15 17:47:15 UTC
A commit references this bug:

Author: swills
Date: Mon Jul 15 17:45:36 UTC 2019
New revision: 506694
URL: https://svnweb.freebsd.org/changeset/ports/506694

Log:
  deskutils/anydesk: fix distinfo for i386

  PR:		239036
  Submitted by:	Martin Filla <freebsd@sysctl.cz> (maintainer)

Changes:
  head/deskutils/anydesk/distinfo
Comment 5 Steve Wills freebsd_committer 2019-07-15 17:48:41 UTC
Committed, thanks!